/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*- */
/*
 * main.h
 * Copyright (C) Andreia Gaita 2009 <shana@jitted.com>
 * 
 */

#include "../src/file.h"

class COMFile {
public:
	virtual void QueryInterface (void* id, void** result);
	virtual int AddRef ();
	virtual int Release ();

	virtual int Open ();
	virtual int Close ();

	COMFile (File * f) : file(f) {}
private:
	File * file;
};


extern "C"
{
	COMFile* getptr();
}